package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 */
public class VacationSaveReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "假期数据id", required = true)
	@NotBlank
    private String id;

	@ApiModelProperty(name = "startDate", value = "假期开始时间", required = true)
	private String startDate;

	@ApiModelProperty(name = "endDate", value = "假期结束时间", required = true)
	private String endDate;

	@ApiModelProperty(name = "setState", value = "1关闭 2-开启", required = true)
	private int setState;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public int getSetState() {
		return setState;
	}

	public void setSetState(int setState) {
		this.setState = setState;
	}
}
